Bug 20038 - Switch single-column templates to Bootstrap grid: Acquisitions
Summary: Switch single-column templates to Bootstrap grid: Acquisitions
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on: 19755
Blocks: 19980
  Show dependency treegraph
 
Reported: 2018-01-18 19:49 UTC by Owen Leonard
Modified: 2018-06-04 20:15 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20038: Switch single-column templates to Bootstrap grid: Acquisitions (8.12 KB, patch)
2018-01-19 14:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20038: Switch single-column templates to Bootstrap grid: Acquisitions (8.17 KB, patch)
2018-01-24 10:37 UTC, Claire Gravely
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-01-18 19:49:52 UTC
There are several single-column templates in the Acquisitions module which can be updated to use Bootstrap.

acqui\addorder.tt
acqui\z3950_search.tt
acqui\basketheader.tt
acqui\cancelorder.tt
acqui\modordernotes.tt
Comment 1 Owen Leonard 2018-01-19 14:40:50 UTC Comment hidden (obsolete)
Comment 2 Claire Gravely 2018-01-24 10:37:53 UTC
Created attachment 70875 [details] [review]
Bug 20038: Switch single-column templates to Bootstrap grid: Acquisitions

This patch updates several acquisitions module templates to use the
Bootstrap grid.

- acqui/z3950_search.tt - Acquisitions -> Vendor -> View basket -> Add
  to basket -> From an external source. The Z39.50 search form should
  look correct.
  - Search for a title. The search results page should look correct.

- acqui/addorder.tt - Acquisitions -> Vendor -> View basket -> Add to
  basket. Add an order to the basket which costs more than is available
  in the fund you select. The error/confirmation screen should look
  correct.

- acqui\modordernotes.tt - Acquisitions -> Vendor -> View basket -> Add
  internal or vendor note. The note add form should look correct.

- acqui/cancelorder.tt - Acquisitions -> Vendor -> View basket -> Cancel
  order (from an open basket which has existing orders). The
  confirmation screen should look correct.

- acqui\basketheader.tt - Acquisitions -> Vendor -> New basket. The new
  basket edit form should look correct.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Jonathan Druart 2018-02-15 16:45:38 UTC
Patch pushed to master for 18.05